/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.dto;

import java.math.BigDecimal;
import java.util.Date;


/**
 * @author jadyn.wu
 * @date: 2019-10-23 14:18
 */
public class JobAdvertisedListDto {

	private Integer jobId; // 职位ID（自增）

	private String publisher; // 发布者(用户code)

	private String jobName; // 职位名称

	private Integer positionId; // 职位类别（职位信息表code）

	private String addProvince; // 工作地点-省
	
	private String addProvinceName; //  省名称

	private String addCity; // 工作地点-市
	
	private String addCityName; // 市名称

	private String addArea; // 工作地点-区
	
	private String addAreaName; //  区名称

	private String addDetail; // 工作地点详细地址

	private double addLongitude; // 工作地点-经度
	private double addLatitude; // 工作地点-纬度

	private String workExperience; // 工作经验（字典表对应code）

	private String education; // 学历（字典表管理，以数值表示）

	private String jobStatus; // 职位发布状态[0-招聘中；1-结束]
	
	private String recommendFlag; //首推标识[0-不推荐；1-推荐 字典表-recommended]

	private String publisherName;// 发布者名称
	
	private String headPortrait;// 企业头像
	
	private String foreignName; //外文名称

	private String identityFlag; // 身份标识
	
	private int positionGrade; // 职位等级
	
	// 筹开标识
	private String prepareFlag;
	
	private BigDecimal payFrom; // 薪资From
	
	private BigDecimal payTo; // 薪资To
	
    private Date updateDate;
    
    private int pageView; //PV

	public Date getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}

	public Integer getJobId() {
		return jobId;
	}

	public void setJobId(Integer jobId) {
		this.jobId = jobId;
	}

	public String getPublisher() {
		return publisher;
	}

	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}

	public String getJobName() {
		return jobName;
	}

	public void setJobName(String jobName) {
		this.jobName = jobName;
	}

	public Integer getPositionId() {
		return positionId;
	}

	public void setPositionId(Integer positionId) {
		this.positionId = positionId;
	}

	public String getAddProvince() {
		return addProvince;
	}

	public void setAddProvince(String addProvince) {
		this.addProvince = addProvince;
	}

	public String getAddCity() {
		return addCity;
	}

	public void setAddCity(String addCity) {
		this.addCity = addCity;
	}

	public String getAddArea() {
		return addArea;
	}

	public void setAddArea(String addArea) {
		this.addArea = addArea;
	}

	public String getAddDetail() {
		return addDetail;
	}

	public void setAddDetail(String addDetail) {
		this.addDetail = addDetail;
	}

	public double getAddLongitude() {
		return addLongitude;
	}

	public void setAddLongitude(double addLongitude) {
		this.addLongitude = addLongitude;
	}

	public double getAddLatitude() {
		return addLatitude;
	}

	public void setAddLatitude(double addLatitude) {
		this.addLatitude = addLatitude;
	}

	public String getWorkExperience() {
		return workExperience;
	}

	public void setWorkExperience(String workExperience) {
		this.workExperience = workExperience;
	}

	public String getEducation() {
		return education;
	}

	public void setEducation(String education) {
		this.education = education;
	}

	public String getJobStatus() {
		return jobStatus;
	}

	public void setJobStatus(String jobStatus) {
		this.jobStatus = jobStatus;
	}

	public String getPublisherName() {
		return publisherName;
	}

	public void setPublisherName(String publisherName) {
		this.publisherName = publisherName;
	}

	public String getHeadPortrait() {
		return headPortrait;
	}

	public void setHeadPortrait(String headPortrait) {
		this.headPortrait = headPortrait;
	}

	public String getAddProvinceName() {
		return addProvinceName;
	}

	public void setAddProvinceName(String addProvinceName) {
		this.addProvinceName = addProvinceName;
	}

	public String getAddCityName() {
		return addCityName;
	}

	public void setAddCityName(String addCityName) {
		this.addCityName = addCityName;
	}

	public String getAddAreaName() {
		return addAreaName;
	}

	public void setAddAreaName(String addAreaName) {
		this.addAreaName = addAreaName;
	}

	public String getForeignName() {
		return foreignName;
	}

	public void setForeignName(String foreignName) {
		this.foreignName = foreignName;
	}

	public String getIdentityFlag() {
		return identityFlag;
	}

	public void setIdentityFlag(String identityFlag) {
		this.identityFlag = identityFlag;
	}

	public String getRecommendFlag() {
		return recommendFlag;
	}

	public void setRecommendFlag(String recommendFlag) {
		this.recommendFlag = recommendFlag;
	}

	public int getPositionGrade() {
		return positionGrade;
	}

	public void setPositionGrade(int positionGrade) {
		this.positionGrade = positionGrade;
	}

	public String getPrepareFlag() {
		return prepareFlag;
	}

	public void setPrepareFlag(String prepareFlag) {
		this.prepareFlag = prepareFlag;
	}

	public BigDecimal getPayFrom() {
		return payFrom;
	}

	public void setPayFrom(BigDecimal payFrom) {
		this.payFrom = payFrom;
	}

	public BigDecimal getPayTo() {
		return payTo;
	}

	public void setPayTo(BigDecimal payTo) {
		this.payTo = payTo;
	}

	public int getPageView() {
		return pageView;
	}

	public void setPageView(int pageView) {
		this.pageView = pageView;
	}
}